.TH "Syren" "1" "0.0.6" "Ketmar Dark" "Syren Downloader"
.SH "NAME"
Syren \- The non\-interactive network downloader for GNU/Linux.
.SH "SYNOPSIS"
syren [
.B option
] <
.B URL
>
.SH "DESCRIPTION"
.B Syren
is a free utility for non\-interactive download of files from the Web.
It supports scripting,
.B HTTP,
.B HTTPS
and
.B FTP
protocols,
as well as retrieval through
.B HTTP
proxies.
.SH "OPTIONS"
Syren has alot of short options and many long ones.
Long options can be specified in .syrenrc file (without long dash).
You may put several options that do not require arguments together,
like
.B "syren \-XNq <URL>"
.TP
.IP -h
Output help information and exit.
.IP -V
Output version information and exit.
.IP "-h all"
show 'long' configuration options
.IP "-h <longopt>"
show 'long' configuration option description
.IP "-o filename"
output to specified file
.IP "-O filename"
output to specified file (same as '\-o')
.IP "-r filename"
resume download (do not use saved state, use file)
.IP "-s filename"
restore state
.IP "-S filename"
redownload file using state (ignore starting position, recreate)
.IP "-D filename"
dump state file and exit
.IP -k
keep state file
.IP "-P <str|@fn>"
make POST request
.IP "-c <str|@fn>"
send cookies
.IP "-C filename"
dump cookies
.IP "-H <str|@fn>"
additional headers
.IP -i
download server reply and stop
.IP "-I name_or_ip"
use specified net interface (\"\-\" any)
.IP -X
do not use proxies
.IP -A
don't preallocate disk space
.IP -T
turn off terminal window title changing
.IP -Z
write CR after progress string
.IP -w
generate .syrenrc file with the current config
.IP -N
don't write state file
.IP -F
force retry on any download error
.IP -e
encode URL
.IP -E
decode URL
.IP -q
be quiet
.IP -Q
be
.B VERY
quiet
.SH "FILES"
.B ~/.syrenrc
.br
.B ~/.syren/.syrenrc
.SH "ENVIRONMENT VARIABLES"
.IP HOME
Specifies the home directory
.SH "EXAMPLES"
To run this program the standard way type:
.LP
syren http://some.site.com/abc.html
.SH "AUTHORS"
Ketmar Dark <psyc://ketmar.no-ip.org/~Ketmar>
.SH "SEE ALSO"
wget(1) curl(1)
